petsc-3.4.2 2013-07-02

# KSPBCGSLSetUsePseudoinverse

Use pseudoinverse (via SVD) to solve polynomial part of update

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPBCGSLSetUsePseudoinverse(KSP ksp,PetscBool use_pinv)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate
| use_pinv | - set to PETSC_TRUE when using pseudoinverse

### Options Database Keys

| -ksp_bcgsl_pinv | - use pseudoinverse

### Keywords

KSP, BiCGStab(L), set, polynomial

### See Also

KSPBCGSLSetEll()

Level:intermediate
Location:src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages